* file appx_a.do for Using Stata for Principles of Econometrics, 5e

* Stata Do-file 
* copyright C 2018 by Lee C. Adkins and R. Carter Hill 
* used for "Using Stata for Principles of Econometrics, 5e" 
* by Lee C. Adkins and R. Carter Hill (2018)
* John Wiley and Sons, Inc.

* setup
version 15.1
capture log close

clear all
* the calculator

display "two plus two = " 2 + 2

* scientific notation
di 1000000*100000000

scalar x_a = 510000
scalar x_b = 5.1 * 10^5
scalar list x_a x_b

scalar mult_1 = 510000* 0.00000034
scalar mult_2 = (5.1*3.4)*(10^5 * 10^(-7))
scalar list mult_1 mult_2

* logarithms
scalar v1 = ln(1000*10)
scalar v2 = ln(1000)+ln(10)
scalar list v1 v2

scalar v3 = exp(v1)
scalar list v3

* Table A.1
forvalues i=0/6 {
   scalar v1 = 10^`i'
   scalar v2 = ln(v1)
   di "x = " v1 " and ln(x) = " v2
   }
   
/*---POE5 Example A.2---*/
* Slope of a Quadratic Function

* numerical derivatives

range x 0 8 9                         //create x
gen y = x^2 - 8*x + 16                //generate function
label variable y "x^2-8*x+16"         //label
twoway connected y x                  //graph
dydx y x, gen(dy)                     //derivative
gen elas=round(dy*x/y,.01)            //elasticity
gen dytrue = 2*x - 8                  //true derivative
list

* partial derivative

scalar z0 = 2                         //specific value
gen y2 = 3*x^2+2*x+3*z0+14            //new function at z0
dydx y2 x, gen(dy2)                   //partial derivative
gen dy2true = 6*x + 2                 //true partial at z0
list x dy2 dy2true

* numerical integrals
clear
range x 0 1 101                       //create x
gen y = 2*x                           //generate y=f(x)
integ y x, gen(iy)                    //integra
list in 41/51                         //list integral values
